OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_BasicDumper Class Reference

BasicDumper takes into account, for SessionFile, all the
classes defined in the package IFSelect : Selections,
Dispatches (there is no Modifier)
.

`#include <IFSelect_BasicDumper.hxx>`

Inheritance diagram for IFSelect_BasicDumper:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_BasicDumper ()
| Creates a BasicDumper and puts it into the Library of Dumper .
Standard_EXPORT Standard_Boolean | WriteOwn (IFSelect_SessionFile &file, const Handle(Standard_Transient)&item) const
| Write the Own Parameters of Types defined in package IFSelect Returns True if <item> has been processed, False else .
Standard_EXPORT Standard_Boolean | ReadOwn (IFSelect_SessionFile &file, const TCollection_AsciiString &type, Handle(Standard_Transient)&item) const
| Recognizes and Read Own Parameters for Types of package IFSelect. Returns True if done and <item> created, False else .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_BasicDumper::IFSelect_BasicDumper | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_BasicDumper::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SessionDumper.

Standard_EXPORT Standard_Boolean IFSelect_BasicDumper::ReadOwn | ( | IFSelect_SessionFile & | file,
|  | const TCollection_AsciiString & | type,
|  | Handle(Standard_Transient)& | item
| ) | const`[virtual]`

| Implements IFSelect_SessionDumper.

Standard_EXPORT Standard_Boolean IFSelect_BasicDumper::WriteOwn | ( | IFSelect_SessionFile & | file,
|  | const Handle(Standard_Transient)& | item
| ) | const`[virtual]`

| Implements IFSelect_SessionDumper.

The documentation for this class was generated from the following file:

- IFSelect_BasicDumper.hxx